summaryrefslogtreecommitdiff
path: root/etc/pkgs/005-tini.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/pkgs/005-tini.sh')
-rwxr-xr-xetc/pkgs/005-tini.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/etc/pkgs/005-tini.sh b/etc/pkgs/005-tini.sh
new file mode 100755
index 0000000..44bb172
--- /dev/null
+++ b/etc/pkgs/005-tini.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -x
+
+sudo yum install -y cmake glibc-static || exit 1
+git clone https://github.com/krallin/tini.git
+export CFLAGS="${CFLAGS} -DPR_SET_CHILD_SUBREAPER=36 -DPR_GET_CHILD_SUBREAPER=37"
+
+pushd tini
+ git checkout v0.18.0
+ mkdir -p build
+ pushd build
+ cmake ..
+ make
+ install -m755 tini ${TOOLCHAIN_BIN}
+ popd
+popd
+
+rm -rf tini